import javax.swing.SwingUtilities;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.BorderFactory;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.event.MouseEvent;
import java.awt.event.MouseAdapter;
import java.awt.geom.Line2D;
import java.util.Arrays;

public class Plotter {


    public static void plot(ValuesToDraw valuesToDraw) {


        SwingUtilities.invokeLater(new Runnable() {

            public void run() {
                createAndShowGUI(valuesToDraw);
            }

        });
    }



    public static void createAndShowGUI(ValuesToDraw valuesToDraw) {

        JFrame f = new JFrame("Function Plotter");
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        f.add(new PlotterPanel(valuesToDraw));
        f.pack();
        f.setVisible(true);

    }
}

class PlotterPanel extends JPanel {




    final int ZERO_POINT_X = 400;
    final int ZERO_POINT_Y = 300;

    ValuesToDraw valuesToDraw;



    PlotterPanel(ValuesToDraw valuesToDraw) {
        this.valuesToDraw = valuesToDraw;


        addMouseListener(new MouseAdapter() {
            public void mousePressed(MouseEvent e) {
                drawNextLine();
            }
        });

    }

    private void drawNextLine() {

        int[] xCords = valuesToDraw.getXCords();
        int[] yCords = valuesToDraw.getYCords();

        System.out.println(Arrays.toString(xCords));

        int[] xCordsFromZeroPoint = new int[41];
        int[] yCordsFromZeroPoint = new int[41];


        for(int i = 0; i < 41; i++) {
            xCordsFromZeroPoint[i] = xCords[i] + ZERO_POINT_X;
        }

        for(int i = 0; i < 41; i++) {
            yCordsFromZeroPoint[i] = yCords[i] + ZERO_POINT_Y;
        }

        Graphics g = new Graphics()

        g.drawPolyline(xCordsFromZeroPoint, yCordsFromZeroPoint, 21);
    }



    public Dimension getPreferredSize() {
        return new Dimension(800,600);
    }

    protected void paintComponent(Graphics g) {
        super.paintComponent(g);


        g.drawLine(400, 0, 400, 600);
        g.drawLine(0, 300, 800, 300);

        int[] test = new int[]{-20, -19, -18, -17, -16, -15, -14, -13, -12, -11, -10,
                -9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9,
                10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20};
        int[] test2 = new int[]{-20, -19, -18, -17, -16, -15, -14, -13, -12, -11, -10,
                -9, -8, -7, -6, -5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9,
                10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20};

        g.drawPolyline(test, test2, 21);

    }


}


